hernia_2.jpg=Pre-OP for Hernia Operation
hernia_1.jpg=Pre-OP for Hernia Operation
hernia_3.jpg=Hernia Incision
hernia_20070110_2.JPG=Here is the scar 01/10 after the Steri-Strips are removed
hernia_4.jpg=Hernia Incision
stitch.jpg=Scar on 09/14. I had a stitch come out, which is what that pimple looking thing is.
